Package fr.gouv.vitam.metadata.api.model

# Class ReconstructionResponseItem

java.lang.Object
fr.gouv.vitam.metadata.api.model.ReconstructionResponseItem

public class ReconstructionResponseItem extends Object
Description of reconstruction response item model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReconstructionResponseItem()`
  Constructor.
  `ReconstructionResponseItem(ReconstructionRequestItem reconstructionRequestItem, StatusCode status)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollection()`
  Get the collection of the profile
  `StatusCode`
  `getStatus()`
  `Integer`
  `getTenant()`
  Get tenant
  `ReconstructionResponseItem`
  `setCollection(String collection)`
  Set the collection of the profile This value must be unique by tenant
  `ReconstructionResponseItem`
  `setStatus(StatusCode status)`
  `ReconstructionResponseItem`
  `setTenant(Integer tenant)`
  Set or change tenant

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReconstructionResponseItem

    public ReconstructionResponseItem()
    Constructor.

  - ### ReconstructionResponseItem

    public ReconstructionResponseItem(ReconstructionRequestItem reconstructionRequestItem, StatusCode status)
    Constructor
    Parameters:
      `reconstructionRequestItem` - request item
      `status` - status

- ## Method Details

  - ### getCollection

    public String getCollection()
    Get the collection of the profile
    Returns:
      collection as String

  - ### setCollection

    public ReconstructionResponseItem setCollection(String collection)
    Set the collection of the profile This value must be unique by tenant
    Parameters:
      `collection` - as String
    Returns:
      this

  - ### getTenant

    public Integer getTenant()
    Get tenant
    Returns:
      tenant

  - ### setTenant

    public ReconstructionResponseItem setTenant(Integer tenant)
    Set or change tenant
    Parameters:
      `tenant` -
    Returns:
      this

  - ### getStatus

    public StatusCode getStatus()
    Returns:
      the status

  - ### setStatus

    public ReconstructionResponseItem setStatus(StatusCode status)
    Parameters:
      `status` - the status to set
    Returns:
      this